Subject: [IPP] pwg-5100.13 section 5.6.39 printer-supply encoding

From: "Rizzo, Christopher via ipp" <[email-masked]>
Date: Thu, 7 May 2020 22:27:04 +0000

Table 9 has optional printer-supply (1setOf octetString(MAX)) keywords.

Some supplies have colorants, others have colorantIndex = 0 ("this supply does not depend on a single specified colorant").

Must each entry in the set of octetStrings contain the same SNMP Supply Objects (matching cardinality), or can colorant objects be present in an octetString for those supplies that have a colorant, but not present in an octetString for those supplies that do not have a colorant?

For example, must we do this:

// Black toner.

printer-supply[1] =

type=toner;maxcapacity=100;level=75;index=1;markerindex=1;

class=supplyThatIsConsumed;unit=percent;

colorantindex=1;colorantrole=process;colorantname=black;

coloranttonality=256;

// Fuser does not have concept of colorant.

printer-supply[2] =

type=fuser;maxcapacity=100;level=96;index=2;markerindex=1;

class=supplyThatIsConsumed;unit=percent;

colorantindex=0;colorantrole=???;colorantname=???;

coloranttonality=???;

Or should we do this (is it legal to have colorant entries for some supplies, but not have colorant entries for others in the set (non-matching cardinality)?):

// Black toner.

printer-supply[1] =

type=toner;maxcapacity=100;level=75;index=1;markerindex=1;

class=supplyThatIsConsumed;unit=percent;

colorantindex=1;colorantrole=process;colorantname=black;

coloranttonality=256;

// Fuser does not have concept of colorant.

printer-supply[2] =

type=fuser;maxcapacity=100;level=96;index=2;markerindex=1;

class=supplyThatIsConsumed;unit=percent;colorantname=unknown;

And since colorantname is REQUIRED, what value should it have for a supply that is not associated with any colorant (unknown or other appear to be the only available values in RFC3805)?

Thanks,
Chris

Christopher Rizzo
Xerox Corporation
GDG/Discovery/Advance Technology
26600 SW Parkway Ave.
Wilsonville, OR 97070-9251
Phone: (585) 314-6936
Email: [email-masked]

"The realization came over me with full force that a good part of the remainder of my life was going to be spent in finding errors in my own programs."
-Maurice Wilkes, Memoirs of a Computer Pioneer
_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Michael Sweet via ipp <[email-masked]>
Date: Thu, 7 May 2020 19:27:19 -0400

Chris,

Only list the properties that are present in the MIB entries - thus the non-colorant supplies don't have the colorantxxx properties.

The colorantname only required for supplies with associated colorants, and the ABNF lists it as OPTIONAL (and so the IPP Everywhere tests don't require it...) but I do see it listed as REQUIRED in Table 9 (which is an error - the intent was for note 3 to apply to all of the colorant properties...)

> On May 7, 2020, at 6:27 PM, Rizzo, Christopher via ipp <[email-masked]> wrote:
> 

________________________
Michael Sweet

---

From: "Kennedy, Smith \(Wireless & IPP Standards\) via ipp" <[email-masked]>
Date: Fri, 8 May 2020 01:40:06 +0000

This is now in IPP Driverless Printing Extensions v2.0 so we should briefly discuss this tomorrow in the IPP Driverless Printing Extensions v2.0 session.

Cheers,
Smith
---
Smith Kennedy
[email-masked]

On May 7, 2020, at 5:28 PM, Michael Sweet via ipp <[email-masked]> wrote:

 Chris,

> https://www.pwg.org/mailman/listinfo/ipp<https://www.pwg.org/mailman/listinfo/ipp>

________________________
Michael Sweet

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp<https://www.pwg.org/mailman/listinfo/ipp>
_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp